﻿Public Class SettingsForm
    Public Property RefreshInterval As Integer
    Public Property LowSpaceThreshold As Long

    Private Sub SettingsForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        txtRefreshInterval.Text = RefreshInterval.ToString()
        txtLowSpaceThreshold.Text = (LowSpaceThreshold / (1024 * 1024 * 1024)).ToString() ' Convert bytes to GB
        ActiveControl = Label1
    End Sub

    Private Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        ' Validate and save settings
        If Integer.TryParse(txtRefreshInterval.Text, RefreshInterval) AndAlso Long.TryParse(txtLowSpaceThreshold.Text, LowSpaceThreshold) Then
            LowSpaceThreshold *= (1024 * 1024 * 1024) ' Convert GB to bytes
            IO.File.WriteAllLines("settings.txt", {RefreshInterval.ToString(), (LowSpaceThreshold / (1024 * 1024 * 1024)).ToString()})
            DialogResult = DialogResult.OK
        Else
            MessageBox.Show("Please enter valid values.")
        End If
    End Sub
End Class
